Consoul's Blog Consoul Games: PSP Firmware Downgrade?

Tuesday, August 30, 2005

PSP Firmware Downgrade?

The PSP is finally set to go on sale across Europe and Australasia this Thursday September 1st. Sony are shipping the unit with the version 2.0 firmware, which means no homebrew shenanigans. Or does it?

To say the Aus & Euro PSP's ship with 2.0 isn't quite accurate. They are actually going on sale with the version 1.52 firmware onboard, and the 2.0 update is on the bundled Sampler UMD ready to install when you first run it. Those of you who have been keeping up with PSP news will know that you can't run homebrew on v1.52 anyway, so it would seem there's no advantage in not updating to version 2.0 immediately.

Hold that thought. Before you run that Sampler UMD and irreversably upgrade your PSP to the version 2.0 firmware, ask yourself: "Do I want to run homebrew?" Maybe you don't, and maybe you can't wait to use 2.0's wireless web-browser. Good for you. If, on the other hand, you have some interest in PSP homebrew then you probably shouldn't run that Sampler disc just yet. Apparently there is in fact a method to downgrade a version 1.52 PSP to the homebrew friendly 1.50. This has been rumoured for some time, but always seemed unlikely, as commonsense suggested that to run a downgrader on a 1.52 PSP, you'd need an exploit to run unsigned code on it in the first place, which would make the purpose of the exercise rather redundant.

While the actual method hasn't been revealed yet, well-known PSP coder and notorious WAB team member, Yoshihiro, has confirmed that he has found a way, and is expected to go public with the process on September 1. As rumour has it, the method involves wirelessly sending a firmware downgrader to the 1.52 PSP via the Game Share function. The catch? You'll need a PSP capable of running homebrew to send it in the first place. If you don't know anyone with a version 1.00 or 1.50 PSP, then you're out of luck.

Of course, this is all unconfirmed at this stage, but Yoshihiro is unlikely to be bluffing. No doubt future PSP games will require the version 2.0 firmware anyway, but if you're a new PSP owner who's keen to dabble in the world of PSP homebrew, you may still have a chance. Stay tuned.

2 Comments:

Anonymous TPot said...

I agree with your last comment. It's easy to say things over the internet, but the proof is in the pudding. This guy does however appear to have built up some credability.

12:22 pm  
Anonymous Anonymous said...

Homebrew is what I call redudant.

If I want to play emulated games, I'll just use my computer, which is not only superior to PSP, but it doesn't need a battery recharge every four hours.

If I want to enjoy handheld gaming, I'll stick to my gameboy advance.

10:22 pm  

Post a Comment

<< Home